TOOLCHAIN_DIR	:= /usr/local/arm-none-eabi
ARCH_FLAGS	:= -mthumb -mcpu=cortex-m3 -msoft-float
LDSCRIPT	?= $(BINARY).ld

CFLAGS		+= -Os -I$(TOOLCHAIN_DIR)/include -fno-common $(ARCH_FLAGS) -MD -DSTM32F1

LDFLAGS		+= -Wl,--start-group -lc -lgcc -lnosys -Wl,--end-group
LDFLAGS		+= -L$(TOOLCHAIN_DIR)/lib -T$(LDSCRIPT) -nostartfiles -Wl,--gc-sections
LDFLAGS		+= $(ARCH_FLAGS) -mfix-cortex-m3-ldrd
